This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 505312 - Add antlr python subpackage
Add antlr python subpackage
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: antlr (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
: Reopened
: 479035 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 09:08 EDT by Bart Vanbrabant
Modified: 2011-02-18 20:24 EST (History)
4 users (show)

See Also:
Fixed In Version: antlr-2.7.7-14.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 20:24:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add python subpackage to spec file (2.46 KB, patch)
2009-06-11 09:08 EDT, Bart Vanbrabant
no flags Details | Diff

  None (edit)
Description Bart Vanbrabant 2009-06-11 09:08:10 EDT
Created attachment 347397 [details]
Add python subpackage to spec file

Description of problem:
The antlr source distribution contains runtimes for several target language antlr can generate parsers for. The patch attached to this bug adds this subpackage.

With permission and access to the package I can add this like I did for the antlr3 package.
Comment 1 Bug Zapper 2009-11-16 05:03:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Milos Jakubicek 2010-04-28 12:40:33 EDT
Bart,

please make the relevant request in the pkgdb and I'll approve. I've done a major cleanup in the antlr.spec file, see the devel branch.
Comment 3 Milos Jakubicek 2010-04-28 12:41:52 EDT
*** Bug 479035 has been marked as a duplicate of this bug. ***
Comment 4 Mads Kiilerich 2010-04-28 13:06:46 EDT
Shouldn't the package be called python-antlr instead (as used in bug 479035)? With reference to http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Addon_Packages_.28python_modules.29
Comment 5 Milos Jakubicek 2010-04-28 13:13:47 EDT
Well -- in case of python bindings being part of a bigger package (antlr, gnome, rpm, whatever), we usually choose the other way around. But...I don't really object here, I'll be comfortable with both names -- Bart, your opinion?
Comment 6 Mads Kiilerich 2010-04-28 13:36:44 EDT
Ok - the guidelines could be more clear ...
Comment 7 Chen Lei 2010-05-24 13:44:17 EDT
Milos, would you mind to rename antlr-C++ to antlr-devel in next release?

Also, /usr/bin/antlr-config should be added to -devel subpackage.

See debian package
http://packages.debian.org/source/sid/antlr

Note:
antlr python binding should be named as antlr-python in fedora instead of python-antlr in debian
Comment 8 Bug Zapper 2010-11-04 07:08:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 01:52:01 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Fedora Update System 2011-02-07 07:51:49 EST
antlr-2.7.7-14.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/antlr-2.7.7-14.fc14
Comment 11 Fedora Update System 2011-02-07 14:55:36 EST
antlr-2.7.7-14.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update antlr'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/antlr-2.7.7-14.fc14
Comment 12 Fedora Update System 2011-02-18 20:24:12 EST
antlr-2.7.7-14.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.